# ----------------------------------------------------------------------------
#
#   EMBOSS
#
# ----------------------------------------------------------------------------

Name:      EMBOSS
Version:   2.9.0
Release:   6
Summary:   The European Molecular Biology Open Software Suite
Group:     Applications/BioInformatics
Packager:  BioLinux(edited by gotero@Callident)
License:   GPL/LGPL
URL:       http://www.rfcgr.mrc.ac.uk/Software/EMBOSS/
Source0:   ftp://ftp.uk.embnet.org/pub/EMBOSS/EMBOSS-2.9.0.tar.gz
Source1:   ftp://ftp.genome.ad.jp/pub/db/genomenet/aaindex/aaindex1
Source2:   ftp://ftp.neb.com/pub/rebase/withrefm.407
Source3:   ftp://ftp.neb.com/pub/rebase/proto.407
Source4:   ftp://ftp.ebi.ac.uk/pub/databases/prints/prints37_0.dat
Source5:   ftp://ftp.ebi.ac.uk/pub/databases/prosite/release_with_updates/prosite.dat
Source6:   ftp://ftp.ebi.ac.uk/pub/databases/prosite/release_with_updates/prosite.doc
Source7:   emboss.default
Source8:   runJemboss.standalone
Source9:   jemboss.properties

Requires:  /sbin/ldconfig
BuildRoot: %{_tmppath}/%{name}

%description
EMBOSS is a new, free Open Source software analysis package specially
developed for the needs of the molecular biology (e.g. EMBnet) user community.
The software automatically copes with data in a variety of formats and even
allows transparent retrieval of sequence data from the web. Also, as extensive
libraries are provided with the package, it is a platform to allow other
scientists to develop and release software in true open source spirit.
EMBOSS also integrates a range of currently available packages and tools for
sequence analysis into a seamless whole.

Reference for EMBOSS: Rice,P. Longden,I. and Bleasby,A.
"EMBOSS: The European Molecular Biology Open Software Suite"
Trends in Genetics June 2000, vol 16, No 6. pp.276-277

%package devel
Summary:   Header files and static libraries for EMBOSS
Group:     Development/Libraries
Requires:  EMBOSS = 2.9.0

%description devel
Header files and static libraries for EMBOSS

%package data
Summary:   Extra data for EMBOSS
Group:     Applications/BioInformatics
Requires:  EMBOSS = 2.9.0

%description data
Extra data for EMBOSS:
 * AAINDEX
 * REBASE
 * PRINTS
 * PROSITE

%package Jemboss
Summary:   Java based GUI for EMBOSS
Group:     Applications/BioInformatics
Requires:  EMBOSS = 2.9.0

%description Jemboss
Jemboss is a java based interface to EMBOSS. It provides the advantage of 
being able to provide sensible EMBOSS defaults on-the-fly for a given sequence
or for a given input parameter. 
Jemboss can run the EMBOSS applications interactively or as a batch process.

# ----------------------------------------------------------------------------

%define localbindir /usr/local/bin

%prep
%setup -q

%build
export JAVADIR=/usr/java/j2sdk1.4.2_02
./configure CFLAGS="$RPM_OPT_FLAGS" --prefix=/usr \
    --bindir=%{localbindir} --includedir=%{_includedir}/%{name} \
    --with-java=$JAVADIR/include --with-javaos=$JAVADIR/include/linux \
    --with-thread=linux 
make -j2

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -m 644 $RPM_SOURCE_DIR/emboss.default $RPM_BUILD_ROOT/%{_datadir}/EMBOSS

## environment stuff
DESTDIR=$RPM_BUILD_ROOT/%{_sysconfdir}/profile.d
install -m 755 -d $DESTDIR
echo "export PLPLOT_LIB=%{_datadir}/EMBOSS" > $DESTDIR/emboss.sh
echo "setenv PLPLOT_LIB %{_datadir}/EMBOSS" > $DESTDIR/emboss.csh

## jemboss stuff
install -m 755 $RPM_SOURCE_DIR/runJemboss.standalone $RPM_BUILD_ROOT/%{localbindir}
install -m 644 $RPM_SOURCE_DIR/jemboss.properties $RPM_BUILD_ROOT/%{_datadir}/EMBOSS/jemboss/resources

## data stuff
export LD_LIBRARY_PATH=$RPM_BUILD_ROOT/%{_libdir}
export EMBOSS_DATA=$RPM_BUILD_ROOT/%{_datadir}/EMBOSS/data
# aaindex
$RPM_BUILD_ROOT/%{localbindir}/aaindexextract \
   -infile $RPM_SOURCE_DIR/aaindex1
# rebase
$RPM_BUILD_ROOT/%{localbindir}/rebaseextract \
   -infile $RPM_SOURCE_DIR/withrefm.407 \
   -protofile $RPM_SOURCE_DIR/proto.407
# prints
$RPM_BUILD_ROOT/%{localbindir}/printsextract \
   -infile $RPM_SOURCE_DIR/prints37_0.dat
# prosite
$RPM_BUILD_ROOT/%{localbindir}/prosextract -infdat $RPM_SOURCE_DIR

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

# ----------------------------------------------------------------------------

%files
%defattr(-,root,root)
/usr/lib/*.so*
%{localbindir}/aaindexextract
%{localbindir}/abiview
%{localbindir}/acdc
%{localbindir}/acdpretty
%{localbindir}/acdtable
%{localbindir}/acdtrace
%{localbindir}/acdvalid
%{localbindir}/antigenic
%{localbindir}/backtranseq
%{localbindir}/banana
%{localbindir}/biosed
%{localbindir}/btwisted
%{localbindir}/cai
%{localbindir}/chaos
%{localbindir}/charge
%{localbindir}/checktrans
%{localbindir}/chips
%{localbindir}/cirdna
%{localbindir}/codcmp
%{localbindir}/coderet
%{localbindir}/compseq
%{localbindir}/cons
%{localbindir}/cpgplot
%{localbindir}/cpgreport
%{localbindir}/cusp
%{localbindir}/cutgextract
%{localbindir}/cutseq
%{localbindir}/dan
%{localbindir}/dbiblast
%{localbindir}/dbifasta
%{localbindir}/dbiflat
%{localbindir}/dbigcg
%{localbindir}/degapseq
%{localbindir}/descseq
%{localbindir}/diffseq
%{localbindir}/digest
%{localbindir}/distmat
%{localbindir}/dotmatcher
%{localbindir}/dotpath
%{localbindir}/dottup
%{localbindir}/dreg
%{localbindir}/einverted
%{localbindir}/embossdata
%{localbindir}/embossversion
%{localbindir}/emma
%{localbindir}/emowse
%{localbindir}/entret
%{localbindir}/epestfind
%{localbindir}/eprimer3
%{localbindir}/equicktandem
%{localbindir}/est2genome
%{localbindir}/etandem
%{localbindir}/extractfeat
%{localbindir}/extractseq
%{localbindir}/findkm
%{localbindir}/freak
%{localbindir}/fuzznuc
%{localbindir}/fuzzpro
%{localbindir}/fuzztran
%{localbindir}/garnier
%{localbindir}/geecee
%{localbindir}/getorf
%{localbindir}/helixturnhelix
%{localbindir}/hmoment
%{localbindir}/iep
%{localbindir}/infoalign
%{localbindir}/infoseq
%{localbindir}/isochore
%{localbindir}/lindna
%{localbindir}/listor
%{localbindir}/marscan
%{localbindir}/maskfeat
%{localbindir}/maskseq
%{localbindir}/matcher
%{localbindir}/megamerger
%{localbindir}/merger
%{localbindir}/msbar
%{localbindir}/mwcontam
%{localbindir}/mwfilter
%{localbindir}/needle
%{localbindir}/newcpgreport
%{localbindir}/newcpgseek
%{localbindir}/newseq
%{localbindir}/noreturn
%{localbindir}/notseq
%{localbindir}/nthseq
%{localbindir}/octanol
%{localbindir}/oddcomp
%{localbindir}/palindrome
%{localbindir}/pasteseq
%{localbindir}/patmatdb
%{localbindir}/patmatmotifs
%{localbindir}/pepcoil
%{localbindir}/pepinfo
%{localbindir}/pepnet
%{localbindir}/pepstats
%{localbindir}/pepwheel
%{localbindir}/pepwindow
%{localbindir}/pepwindowall
%{localbindir}/plotcon
%{localbindir}/plotorf
%{localbindir}/polydot
%{localbindir}/preg
%{localbindir}/prettyplot
%{localbindir}/prettyseq
%{localbindir}/primersearch
%{localbindir}/printsextract
%{localbindir}/profit
%{localbindir}/prophecy
%{localbindir}/prophet
%{localbindir}/prosextract
%{localbindir}/pscan
%{localbindir}/psiphi
%{localbindir}/rebaseextract
%{localbindir}/recoder
%{localbindir}/redata
%{localbindir}/remap
%{localbindir}/restover
%{localbindir}/restrict
%{localbindir}/revseq
%{localbindir}/seealso
%{localbindir}/seqmatchall
%{localbindir}/seqret
%{localbindir}/seqretsplit
%{localbindir}/showalign
%{localbindir}/showdb
%{localbindir}/showfeat
%{localbindir}/showorf
%{localbindir}/showseq
%{localbindir}/shuffleseq
%{localbindir}/sigcleave
%{localbindir}/silent
%{localbindir}/sirna
%{localbindir}/sixpack
%{localbindir}/skipseq
%{localbindir}/splitter
%{localbindir}/stretcher
%{localbindir}/stssearch
%{localbindir}/supermatcher
%{localbindir}/syco
%{localbindir}/tcode
%{localbindir}/textsearch
%{localbindir}/tfextract
%{localbindir}/tfm
%{localbindir}/tfscan
%{localbindir}/tmap
%{localbindir}/tranalign
%{localbindir}/transeq
%{localbindir}/trimest
%{localbindir}/trimseq
%{localbindir}/twofeat
%{localbindir}/union
%{localbindir}/vectorstrip
%{localbindir}/water
%{localbindir}/whichdb
%{localbindir}/wobble
%{localbindir}/wordcount
%{localbindir}/wordmatch
%{localbindir}/wossname
%{localbindir}/yank
%{_datadir}/EMBOSS/acd
%{_datadir}/EMBOSS/data/CODONS
%{_datadir}/EMBOSS/data/AAINDEX/dummyfile
%{_datadir}/EMBOSS/data/PRINTS/dummyfile
%{_datadir}/EMBOSS/data/PROSITE/dummyfile
%{_datadir}/EMBOSS/data/REBASE/dummyfile
%{_datadir}/EMBOSS/data/[Ee]*
%{_datadir}/EMBOSS/doc
%{_datadir}/EMBOSS/test
%{_datadir}/EMBOSS/emboss.default.template
%{_datadir}/EMBOSS/plstnd5.fnt
%{_datadir}/EMBOSS/plxtnd5.fnt
%config %{_sysconfdir}/profile.d/*
%config %{_datadir}/EMBOSS/emboss.default
%doc AUTHORS ChangeLog COPYING FAQ INSTALL LICENSE NEWS README THANKS

%files devel
%defattr(-,root,root)
/usr/include/EMBOSS
/usr/lib/*.a
/usr/lib/*.la

%files data
%defattr(-,root,root)
%{_datadir}/EMBOSS/data/AAINDEX/*[0-9]*
%{_datadir}/EMBOSS/data/PRINTS/[Pp]*
%{_datadir}/EMBOSS/data/PROSITE/[Pp]*
%{_datadir}/EMBOSS/data/REBASE/embossre.*

%files Jemboss
%defattr(-,root,root)
%{localbindir}/jembossctl
%{localbindir}/runJemboss.csh
%{localbindir}/runJemboss.standalone
%{_datadir}/EMBOSS/jemboss

# ----------------------------------------------------------------------------

%changelog
* Mon Jul 26 2004 Luc Ducazu <luc@biolinux.org>
- Build for EMBOSS 2.9.0
- subpackage EMBOSS-devel
- subpackage EMBOSS-data

* Fri May 07 2004 Luc Ducazu <luc@biolinux.org>
- Added AAINDEX, PROSITE, PRINTS and REBASE data files

* Thu Dec 04 2003 Luc Ducazu <luc@biolinux.org>
- Build for EMBOSS 2.8.0
- subpackage jemboss

* Wed Jun 11 2003 Luc Ducazu <luc@biolinux.org>
- Build for EMBOSS 2.7.1

* Tue Jan 28 2003 Luc Ducazu <luc@biolinux.org>
- Build for EMBOSS 2.6.0
- Programs moved to /usr/local/bin
- Adopted many ideas from Guillaume Rousse <g.rousse@linux-mandrake.com>

* Wed Nov 27 2002 Luc Ducazu <luc@biolinux.org>
- Initial build for EMBOSS 2.5.1
